require_dependency "ugrp/ugrp_controller"

module Ugrp
  class UserPreferencesController < ApplicationController
    if Rails.version.to_f >= 5.1
      # before_action :authenticate_user!
      before_action :set_user_preference, only: [:show, :edit, :update, :destroy]
    else
      # before_filter :authenticate_user!
      before_filter :set_user_preference, only: [:show, :edit, :update, :destroy]
    end

    # GET /user_preferences
    # GET /user_preferences.json
    def index
      @user_preferences = UserPreference.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render json: @user_preferences }
      end
    end

    # GET /user_preferences/1
    # GET /user_preferences/1.json
    def show
      respond_to do |format|
        format.html # show.html.erb
        format.json { render json: @user_preference }
      end
    end

    # GET /user_preferences/new
    # GET /user_preferences/new.json
    def new
      @user_preference = UserPreference.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render json: @user_preference }
      end
    end

    # GET /user_preferences/1/edit
    def edit
    end

    # POST /user_preferences
    # POST /user_preferences.json
    def create
      @user_preference = UserPreference.new(user_preference_params)

      respond_to do |format|
        if @user_preference.save
          format.html { redirect_to @user_preference, notice: 'User preference was successfully created.' }
          format.json { render json: @user_preference, status: :created, location: @user_preference }
        else
          format.html { render action: "new" }
          format.json { render json: @user_preference.errors, status: :unprocessable_entity }
        end
      end
    end

    # PUT /user_preferences/1
    # PUT /user_preferences/1.json
    def update
      respond_to do |format|
        if @user_preference.update_attributes(user_preference_params)
          format.html do
            redirect_to user_preference_path(@user_preference), notice: 'User preference was successfully updated.'
          end
          format.json { head :no_content }
        else
          format.html { render action: "edit" }
          format.json { render json: @user_preference.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /user_preferences/1
    # DELETE /user_preferences/1.json
    def destroy
      @user_preference.destroy

      respond_to do |format|
        format.html { redirect_to user_preferences_url }
        format.json { head :no_content }
      end
    end

    private

      # Use callbacks to share common setup or constraints between actions.
      def set_user_preference
        @user_preference = UserPreference.find(params[:id])
      end

      # Never trust parameters from the scary internet, only allow the white list through.
      def user_preference_params
        params.require(:user_preference).permit(
          :user, :user_id,
          :key, :value
        )
      end
  end
end
