# frozen_string_literal: true

require_dependency 'ugrp/ugrp_controller'
require 'devise/version'

# Extend ::Devise::RegistrationsController
module Ugrp
  class Users::ConfirmationsController < Devise::ConfirmationsController

    # GET /resource/confirmation
    def show
      user = Ugrp::User.find_by(confirmation_token: params[:confirmation_token])
      super
      user.is_active = true
      user.domains << current_ugrp_domain
      user.roles << Ugrp::Role.find_by(domain: current_ugrp_domain, name: 'r_guest')
      user.save
    end

    # POST /resource/confirmation
    def create
      super
    end
  end
end
