require_dependency "ugrp/ugrp_controller"

module Ugrp
  class Users::OmniauthCallbacksController < ::Devise::OmniauthCallbacksController
    def cas
      logger.info "OMNIAUTH.AUTH #{request.env['omniauth.auth']}"
      @user = User.find_for_cas_authentication(request.env["omniauth.auth"], current_user)
      if @user.persisted?
        logger.debug "SUCCESS"
        flash[:notice] = I18n.t "devise.omniauth_callbacks.success", kind: 'CAS'
        sign_in_and_redirect @user, event: :authentication
      else
        logger.debug "FAIL"
        session["devise.cas_data"] = request.env["omniauth.auth"]
        redirect_to new_user_session_path
      end
    end

    def ldap
      logger.info "OMNIAUTH.AUTH #{request.env['omniauth.auth']}"
    end

    def oauth
      logger.info "OMNIAUTH.AUTH #{request.env['omniauth.auth']}"
      # You need to implement the method below in your model (e.g. app/models/user.rb)
      @user = User.find_for_oauth_authentication(request.env["omniauth.auth"], current_user)

      if @user.persisted?
        sign_in_and_redirect @user, event: :authentication # this will throw if @user is not activated
        set_flash_message(:notice, :success, kind: "Oauth") if is_navigational_format?
      else
        session["devise.oauth_data"] = request.env["omniauth.auth"]
        redirect_to new_user_registration_url
      end
    end

    def oauth2
      logger.info "OMNIAUTH.AUTH #{request.env['omniauth.auth']}"
      # You need to implement the method below in your model (e.g. app/models/user.rb)
      @user = User.find_for_oauth2_authentication(request.env["omniauth.auth"], current_user)

      if @user.persisted?
        flash[:notice] = I18n.t "devise.omniauth_callbacks.success", kind: "Oauth2"
        sign_in_and_redirect @user, event: :authentication
      else
        session["devise.oauth2_data"] = request.env["omniauth.auth"]
        redirect_to new_user_registration_url
      end
    end

    def failure
      logger.debug "DEBUG FAILURE #{request.env}"
      logger.debug "DEBUG FAILURE #{params}"
      super.failure
    end

    def passthru
      render file: Rails.public_path.join('404').to_s, status: :not_found, formats: [:html], layout: false
    end
  end
end
