require_dependency "ugrp/ugrp_controller"

module Ugrp
  class UsersController < ApplicationController
    if Rails.version.to_f >= 5.1
      before_action :authenticate_user!
      before_action :set_user, only: [:show, :edit, :update, :destroy]
    else
      before_filter :authenticate_user!
      before_filter :set_user, only: [:show, :edit, :update, :destroy]
    end

    # GET /users
    # GET /users.json
    def index
      @users = Ugrp::User.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render json: @users }
      end
    end

    # GET /users/1
    # GET /users/1.json
    def show
    end

    private

      # Use callbacks to share common setup or constraints between actions.
      def set_user
        # user_id = (params[:id].nil? || params[:id].to_i==0) ? Ugrp::User.current_user.id : params[:id]
        user_id = params[:id].nil? || params[:id].to_i == 0 ? current_user.id : params[:id]
        @user = Ugrp::User.find(user_id)
      end

      # Never trust parameters from the scary internet, only allow the white list through.
      def user_params
        params.require(:user).permit(
          :username, :display_name,
          :login, :name, :email,
          :password, :password_confirmation, :encrypted_password,
          :remember_me, :confirmed_at
        )
      end
  end
end
