# frozen_string_literal: true

module Ugrp
  class AclMapping < ActiveRecord::Base
    # self.table_name = 'ugrp_acl_mappings'

    belongs_to :group_or_role, polymorphic: true

    #------------------------------------------------------------------

    # attr_accessible :group_or_role, :group_or_role_id, :group_or_role_type
    # attr_accessible :object_name, :field_name
    # attr_accessible :can_create, :can_read, :can_update, :can_delete

    #---------------------------------------------------------------------------

    validates :group_or_role, presence: true
    validates :object_name, presence: true

    #------------------------------------------------------------------

    # Handlers for polymorphic references (using Global ID)

    # Use :to_global_id to populate forms
    def group_or_role_gid
      group_or_role&.to_global_id
    end

    # Set the attribute from a Global ID (handles the form submission)
    def group_or_role_gid=(gid)
      self.group_or_role = GlobalID::Locator.locate gid
    end

    #------------------------------------------------------------------

    def to_s
      result = "#{group_or_role}:"
      result += (field_name.nil? || field_name.empty?) ? "#{object_name}:" : "#{object_name}(#{field_name}):"
      result += (can_create ? 'C' : '-')
      result += (can_read   ? 'R' : '-')
      result += (can_update ? 'U' : '-')
      result += (can_delete ? 'D' : '-')
      result
    end
  end
end
