require "#{Ugrp::Engine.root}/lib/ugrp/seed_operations"

Dir.glob(File.join("#{Ugrp::Engine.root}", 'app', 'models', 'ugrp', '*.rc')).each do |model|
  require "#{model}"
end

namespace :db do
  namespace :seed do
    desc "Load the seed data for ACL mappings from db/seed/{once,always}/{RAILS_ENV}/ugrp, as appropriate"
    task :acl_mappings do
      Ugrp::SeedOperations.load_acl_mappings("#{Rails.root}/db/seed/once/#{Rails.env}/ugrp")
      Ugrp::SeedOperations.load_acl_mappings("#{Rails.root}/db/seed/always/#{Rails.env}/ugrp")
    end
  end
end
