module Ugrp
  module Controllers
    # These are convenience methods to add to the ApplicationController
    module ApplicationControllerExtensions
      module ClassMethods
      end

      module InstanceMethods
        def update_ugrp_domain(_opts = {})
          ::ActionMailer::Base.default_url_options[:host] = request.host
          ::ActionMailer::Base.default_url_options[:port] = request.port
          ::ActionMailer::Base.default_url_options[:host_with_port] = request.host_with_port
          ::ActionMailer::Base.default_url_options[:fullpath] = request.fullpath

          @current_ugrp_domain = Ugrp::DomainHelper.get_domain_from_request(request.host) if @current_ugrp_domain.nil?
        end

        def current_ugrp_domain
          @current_ugrp_domain
        end

        def update_ugrp_user(_opts = {})
          # Ugrp::User.current_user = current_user

          return unless current_user

          current_user.current_domain ||= Ugrp::DomainHelper.get_domain_from_request(request.host)
        end
      end
    end
  end
end
