# Helper functions for determining the active domain from the requested URI

module Ugrp
  module DomainHelper
    def self.get_domain_from_request(request_host = nil)
      request_host = ::ActionMailer::Base.default_url_options[:host] if request_host.nil?
      request_host = request_host.slice(0..(request_host.index(':') - 1)) unless request_host.index(':').nil?
      request_host = request_host.gsub(/^www\./, '') unless request_host.nil?

      Rails.logger.debug 'Ugrp::DomainHelper.get_domain_from_request : ' +
                         (request_host.nil? ? 'request_host is not valid' : "request_host = #{request_host}")

      current_domain = Ugrp::Domain.get_domain_from_request(request_host)

      Rails.logger.debug 'Ugrp::DomainHelper.get_domain_from_request : ' +
                         "current_domain = #{current_domain.url}(#{current_domain.name}) / default locale = #{current_domain.default_locale}"

      unless Ugrp.alternate_domain_resolver.nil?
        current_domain = eval("#{Ugrp.alternate_domain_resolver}(request_host, current_domain)")

        Rails.logger.debug "Ugrp::DomainHelper.get_domain_from_request (alternate_domain_resolver=#{Ugrp.alternate_domain_resolver}): " +
                           "current_domain = #{current_domain.url}(#{current_domain.name}) / default locale = #{current_domain.default_locale}"
      end

      current_domain
    end
  end
end
