# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.0].define(version: 2015_05_01_095521) do
  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "ugrp_acl_mappings", id: :serial, force: :cascade do |t|
    t.string "group_or_role_type"
    t.integer "group_or_role_id"
    t.string "object_name"
    t.string "field_name"
    t.boolean "can_create", default: false, null: false
    t.boolean "can_read", default: false, null: false
    t.boolean "can_update", default: false, null: false
    t.boolean "can_delete", default: false, null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["group_or_role_id", "group_or_role_type", "object_name", "field_name"], name: "ugrp_acl_mapping_group_or_role_object_field_index", unique: true
    t.index ["group_or_role_id", "group_or_role_type"], name: "index_ugrp_acl_mappings_on_group_or_role"
  end

  create_table "ugrp_domain_aliases", id: :serial, force: :cascade do |t|
    t.string "url"
    t.boolean "is_active", default: false, null: false
    t.integer "domain_id", null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["url"], name: "index_ugrp_domain_aliases_on_url", unique: true
  end

  create_table "ugrp_domains", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "url"
    t.string "default_locale"
    t.boolean "is_active", default: false, null: false
    t.string "domain_owner_type"
    t.integer "domain_owner_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["name"], name: "index_ugrp_domains_on_name", unique: true
    t.index ["url"], name: "index_ugrp_domains_on_url", unique: true
  end

  create_table "ugrp_group_permissions", id: :serial, force: :cascade do |t|
    t.integer "group_id", null: false
    t.integer "permission_id", null: false
    t.index ["group_id", "permission_id"], name: "index_ugrp_group_permissions_on_group_id_and_permission_id", unique: true
  end

  create_table "ugrp_group_roles", id: :serial, force: :cascade do |t|
    t.integer "group_id", null: false
    t.integer "role_id", null: false
    t.index ["group_id", "role_id"], name: "index_ugrp_group_roles_on_group_id_and_role_id", unique: true
  end

  create_table "ugrp_groups", id: :serial, force: :cascade do |t|
    t.integer "domain_id", null: false
    t.string "name", null: false
    t.string "descriptive_name", null: false
    t.boolean "is_active", default: true
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["domain_id", "name"], name: "index_ugrp_groups_on_domain_id_and_name", unique: true
    t.index ["domain_id"], name: "index_ugrp_groups_on_domain_id"
  end

  create_table "ugrp_permissions", id: :serial, force: :cascade do |t|
    t.integer "domain_id", null: false
    t.string "name", null: false
    t.string "descriptive_name", null: false
    t.boolean "is_active", default: true
    t.string "object_name"
    t.string "field_name"
    t.boolean "can_create", default: false, null: false
    t.boolean "can_read", default: false, null: false
    t.boolean "can_update", default: false, null: false
    t.boolean "can_delete", default: false, null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["domain_id", "name"], name: "index_ugrp_permissions_on_domain_id_and_name", unique: true
    t.index ["domain_id"], name: "index_ugrp_permissions_on_domain_id"
  end

  create_table "ugrp_role_permissions", id: :serial, force: :cascade do |t|
    t.integer "role_id", null: false
    t.integer "permission_id", null: false
    t.index ["role_id", "permission_id"], name: "index_ugrp_role_permissions_on_role_id_and_permission_id", unique: true
  end

  create_table "ugrp_roles", id: :serial, force: :cascade do |t|
    t.integer "domain_id", null: false
    t.string "name", null: false
    t.string "descriptive_name", null: false
    t.boolean "is_active", default: true
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["domain_id", "name"], name: "index_ugrp_roles_on_domain_id_and_name", unique: true
    t.index ["domain_id"], name: "index_ugrp_roles_on_domain_id"
  end

  create_table "ugrp_user_domains", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "domain_id", null: false
    t.index ["user_id", "domain_id"], name: "index_ugrp_user_domains_on_user_id_and_domain_id", unique: true
  end

  create_table "ugrp_user_groups", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "group_id", null: false
    t.index ["user_id", "group_id"], name: "index_ugrp_user_groups_on_user_id_and_group_id", unique: true
  end

  create_table "ugrp_user_permissions", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "permission_id", null: false
    t.index ["user_id", "permission_id"], name: "index_ugrp_user_permissions_on_user_id_and_permission_id", unique: true
  end

  create_table "ugrp_user_preferences", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.string "key", null: false
    t.string "value"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["user_id", "key"], name: "index_ugrp_user_preferences_on_user_id_and_key", unique: true
    t.index ["user_id"], name: "index_ugrp_user_preferences_on_user_id"
  end

  create_table "ugrp_user_roles", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "role_id", null: false
    t.index ["user_id", "role_id"], name: "index_ugrp_user_roles_on_user_id_and_role_id", unique: true
  end

  create_table "ugrp_users", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "email", default: "", null: false
    t.string "encrypted_password", limit: 128, default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at", precision: nil
    t.datetime "remember_created_at", precision: nil
    t.integer "sign_in_count", default: 0, null: false
    t.datetime "current_sign_in_at", precision: nil
    t.datetime "last_sign_in_at", precision: nil
    t.string "current_sign_in_ip"
    t.string "last_sign_in_ip"
    t.string "confirmation_token"
    t.datetime "confirmed_at", precision: nil
    t.datetime "confirmation_sent_at", precision: nil
    t.string "unconfirmed_email"
    t.integer "failed_attempts", default: 0
    t.string "unlock_token"
    t.datetime "locked_at", precision: nil
    t.string "authentication_token"
    t.datetime "authentication_token_created_at", precision: nil
    t.string "username", default: "", null: false
    t.string "provider"
    t.string "uid"
    t.string "user_account_owner_type"
    t.integer "user_account_owner_id"
    t.boolean "is_active", default: true
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["authentication_token"], name: "index_ugrp_users_on_authentication_token", unique: true
    t.index ["email"], name: "index_ugrp_users_on_email", unique: true
    t.index ["reset_password_token"], name: "index_ugrp_users_on_reset_password_token", unique: true
    t.index ["username"], name: "index_ugrp_users_on_username", unique: true
  end

end
