# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "ugrp/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "ugrp"
  s.version     = Ugrp::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "UGRP (user group/role/permission) ACLs (v#{s.version})"
  s.description = "Management for user group/role/permission ACLs"
  s.license     = 'MIT'

  s.files = Dir["{app,bin,config,db,lib}/**/*"] + Dir["spec/dummy/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.md"]
  # s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "ugrp", "--main", "README.md"]
  s.extra_rdoc_files = ["CHANGELOG", "README.md", "lib/tasks/ugrp_tasks.rake", "lib/ugrp.rb"]

  s.add_dependency 'rails', '>= 5.0'

  s.add_dependency 'devise'
  s.add_dependency 'devise-i18n'
  s.add_dependency 'devise-token_authenticatable'

  s.add_dependency 'omniauth'
  s.add_dependency 'omniauth-cas'
  s.add_dependency 'omniauth-identity'
  s.add_dependency 'omniauth-ldap'
  s.add_dependency 'omniauth-oauth'
  s.add_dependency 'omniauth-oauth2'
  # s.add_dependency 'system_timer' # Prevent annoying warning

  s.add_dependency 'dotenv'
  s.add_dependency 'recaptcha'

  s.add_dependency 'cancancan'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = UGRP_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency in_house_engine[:name].to_s }
end
